skip to Main Content

EF 40mm f/2.8 STM New Firmware Released

Canon released a firmware update (download here) for the EF 40mm f/2.8 STM ($199, click here) lens. The lens had a problem with AF if

pressure is applied to the lens barrel while the lens is mounted to the camera (pressure can be applied even while attaching the lens cap while carrying the camera with the lens attached in a bag), the autofocusing function of the lens may stop working.

Firmware rel. 1.2.0 addresses the problem. Your lens is affected only if

the third digit in the serial number is either 0, 1, or 2 (xx0xxxxxxx, xx1xxxxxxx, or xx2xxxxxxx).

To upload the firmware you need a compatible DSLR. These are the EOS-1D X, the EOS 5D Mark III and the Rebel T4i/650D.

Product advisory:

Thank you for using Canon products.

Canon has released a firmware update for the EF40mm f/2.8 STM Interchangeable Lens for Canon Digital SLR Camera.

Affected Product
EF40mm f/2.8 STM

Details
Firmware Version 1.2.0 addresses the following phenomenon.

1. If pressure is applied to the lens barrel while the lens is mounted to the camera (pressure can be applied even while attaching
the lens cap while carrying the camera with the lens attached in a bag), the autofocusing function of the lens may stop working.

Firmware Version 1.2.0 is for lenses with Firmware Version 1.1.0. If the lens’ firmware is already Version 1.2.0, it is not necessary to update the firmware.

The lenses with the following serial numbers are equipped with Firmware Version 1.1.0:

The third digit in the serial number is either 0, 1, or 2 (xx0xxxxxxx, xx1xxxxxxx, or xx2xxxxxxx).

Lenses with serial numbers other than those listed above are equipped with Firmware Version 1.2.0.

If an extender, or extender tube, is attached to the lens, the firmware may not be successfully updated, so make sure that you detach
the extender or extender tube before the firmware is updated.
A supported camera* is required for the firmware update.

Cameras that can be used for the firmware update:
Canon EOS-1D X, Canon EOS 5D Mark III (*), or Canon EOS REBEL T4i

*When using a Canon EOS 5D Mark III for the firmware update, please make sure to update the camera’s firmware to Version 1.1.3 or
later. If a Canon EOS 5D Mark III equipped with Firmware Version 1.1.2 or earlier is used, the lens may stop working.

Customers who do not own any of the cameras listed above, but wish to have the firmware of their lenses updated, are asked to contact our service centers.

The new Firmware Version 1.2.0 can be downloaded by clicking here.

Support
This information is for residents of the United States and Puerto Rico only. If you do not reside in the USA or Puerto Rico, please contact the Canon Customer Support Center in your region.

Please register your EF 40mm f/2.8 STM. By registering, we will be able to notify you via email when future service updates are available.

Thank you,
Customer Support Operations
Canon U.S.A., Inc.

Contact Information for Inquiries
Canon Customer Support Center
Phone: 1-800-OK-CANON
1-800-652-2666
TDD: 1-866-251-3752752
Email: carecenter@cits.canon.com
For additional support options: www.usa.canon.com/support

Back To Top

Notice

This website or its third-party tools use cookies, which are necessary to its functioning and required to achieve the purposes illustrated in the cookie policy. If you want to know more or withdraw your consent to all or some of the cookies, please refer to the cookie policy.
By closing this banner, scrolling this page, clicking a link or continuing to browse otherwise, you agree to the use of cookies.